// Desc: This file contains the list of components that are used in the Lessons

type ComponentGroup = {
  category: string;
  components: Component[];
};

export type Component = {
  type: number;
  name: string;
  thumbnail?: string;
  invertThumbnailAtDarkmode?: boolean;
};

const componentsGroups: ComponentGroup[] = [
  {
    category: "Common",
    components: [
      {
        type: 0,
        name: "Header",
        thumbnail: "/editor/thumbnails/component_thumbnail_header.svg",
        invertThumbnailAtDarkmode: true,
      },
      {
        type: 1,
        name: "Text",
        thumbnail: "/editor/thumbnails/component_thumbnail_text.svg",
        invertThumbnailAtDarkmode: true,
      },
    ],
  },
  {
    category: "Media",
    components: [
      {
        type: 0,
        name: "Image",
        thumbnail: "/editor/thumbnails/component_thumbnail_image.png",
      },
      {
        type: 1,
        name: "YouTube",
        thumbnail: "/editor/thumbnails/component_thumbnail_youtube.png",
        invertThumbnailAtDarkmode: true,
      },
      {
        type: 1,
        name: "Video",
        thumbnail: "/editor/thumbnails/component_thumbnail_youtube.png",
        invertThumbnailAtDarkmode: true,
      },
    ],
  },
  {
    category: "HTML",
    components: [
      {
        type: 0,
        name: "Iframe",
        thumbnail: "/editor/thumbnails/component_thumbnail_iframe.svg",
        invertThumbnailAtDarkmode: true,
      },
    ],
  },
  {
    category: "Special",
    components: [
      {
        type: 0,
        name: "Banner",
        thumbnail: "/editor/thumbnails/component_thumbnail_banner.png",
      },
    ],
  },
];

export { componentsGroups };
